from ultralytics import YOLO

#load a model
#that was trained on OpenImagesv7, downloaded from https://docs.ultralytics.com/datasets/detect/open-images-v7/
model = YOLO("yolov8l-pretrained-oiv7.pt")

#use the model to gain val stats on one source of data, in this case it is voith
# the .yaml file references here shows the location folder of the validation images and labels
validation_results_voith = model.val(data="Exp1_val_dataset_voith_pretrained.yaml", batch=16, conf=0.2, iou=0.6, save_json=True)
