#! /bin/bash


# create a script that makes a version of all val label files where the number defining the object
# is a 192 and not a 0, because our OOTB mdoel uses 192 for fish and not 0


input_folder_base="/Users/<customized_path>/Documents/eyesea-yolo/scripts/data/val_and_test_files"
list_fish_sources_tests=('orpc' 'wells' 'voith')
folder_labels_ending="/val/labels"
folder_images_ending="/val/images"

output_folder_base="/Users/<customized_path>/Documents/eyesea-yolo/scripts/data/val_for_pretrained"

for f_source in "${list_fish_sources_tests[@]}"
do
    in_dir_full_lab=$input_folder_base"/"$f_source$folder_labels_ending
    out_dir_full_lab=$output_folder_base"/"$f_source$folder_labels_ending
    in_dir_full_img=$input_folder_base"/"$f_source$folder_images_ending
    out_dir_full_img=$output_folder_base"/"$f_source$folder_images_ending
    #these will then take the txts in input folder and copy them to the output folder but with the new number
    python3 Exp1_Change_fish_number_for_exp1.py $in_dir_full_lab $out_dir_full_lab $in_dir_full_img $out_dir_full_img
done

